Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(66)

Issue 2448363003: Add scheme whitelist for content intents (Closed)

Created:
4 years, 1 month ago by Theresa
Modified:
4 years, 1 month ago
CC:
agrieve+watch_chromium.org, chromium-reviews, darin-cc_chromium.org, jam, Jinsuk Kim
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add scheme whitelist for content intents Add a whitelist for content intents sent when the user taps on an address, email address, or phone number. BUG=659477 Committed: https://crrev.com/041cce95c89455f4243360d3303113daf1c5df30 Cr-Commit-Position: refs/heads/master@{#427758}

Patch Set 1 #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -1 line) Patch
M content/public/android/java/src/org/chromium/content/browser/ContentViewClient.java View 2 chunks +13 lines, -1 line 1 comment Download

Messages

Total messages: 15 (8 generated)
Theresa
ptal https://codereview.chromium.org/2448363003/diff/1/content/public/android/java/src/org/chromium/content/browser/ContentViewClient.java File content/public/android/java/src/org/chromium/content/browser/ContentViewClient.java (right): https://codereview.chromium.org/2448363003/diff/1/content/public/android/java/src/org/chromium/content/browser/ContentViewClient.java#newcode29 content/public/android/java/src/org/chromium/content/browser/ContentViewClient.java:29: private static final String TAG = "cr_ContentViewClient"; Changed ...
4 years, 1 month ago (2016-10-26 17:08:09 UTC) #4
aelias_OOO_until_Jul13
lgtm
4 years, 1 month ago (2016-10-26 18:20:50 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2448363003/1
4 years, 1 month ago (2016-10-26 18:34:52 UTC) #9
commit-bot: I haz the power
Committed patchset #1 (id:1)
4 years, 1 month ago (2016-10-26 18:45:04 UTC) #10
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/041cce95c89455f4243360d3303113daf1c5df30 Cr-Commit-Position: refs/heads/master@{#427758}
4 years, 1 month ago (2016-10-26 18:53:34 UTC) #12
palmer
Post-facto drive-by LGTM FWIW. (If the whitelist grows, maybe consider using a Set object rather ...
4 years, 1 month ago (2016-10-28 02:19:45 UTC) #14
aelias_OOO_until_Jul13
4 years, 1 month ago (2016-10-28 02:49:42 UTC) #15
Message was sent while issue was closed.
On 2016/10/28 at 02:19:45, palmer wrote:
> (If the whitelist grows, maybe consider using a Set object rather than adding
more &&s in the if clause.)

It should only ever be those three, see
https://cs.chromium.org/chromium/src/content/public/renderer/android_content_...
.  Since the feature is slated for deletion, any capabilities we might introduce
in the future will be handled by the Contextual Search system instead.

Powered by Google App Engine
This is Rietveld 408576698